import { createApp } from "vue";
import App from "./App.vue";
import CustomNavbar from "@/components/custom-navbar/index.vue";
import CustomLoadMore from "@/components/custom-loadmore/index.vue";
import CustomIcon from "@/components/custom-icon/index.vue";
import {showToast} from "@/utils/common"
import pinia from "@/store/index"
const app = createApp(App);
app.provide('$showToast', showToast)
// app.config.globalProperties.$showToast = showToast;
// import vConsole from 'vconsole'
// const vconsole = new vConsole()
app.use(pinia)
app.component('CustomNavbar', CustomNavbar);
app.component('CustomIcon', CustomIcon);
app.component('CustomLoadMore', CustomLoadMore);
app.mount("#app");
